#include <Tp4.h>
short date_presente;
#define LCD_ENABLE_PIN PIN_C2
#define LCD_RS_PIN PIN_C0
#define LCD_RW_PIN PIN_C1
#define LCD_Data4 PIN_C4
#define LCD_Data5 PIN_C5
#define LCD_Data6 PIN_C6
#define LCD_Data7 PIN_C7

#include <lcd.c>

#use i2c(Master,sda=PIN_B5,scl=PIN_B4)
#include <pcf8593.c>

#PIN_SELECT U2TX = PIN_A0 // la sortie TX de l UART2 est affectee a PIN_A0
#PIN_SELECT U2RX = PIN_A1 // la sortie TX de l UART2 est affectee a PIN_A1
#use rs232(UART2,baud=57600,parity=N,bits=8) //ici nous definissons les fonctions pour l UART 2


#pin_select INT1=PIN_B3
#int_EXT1
void  EXT1_isr(void) 
{
       lire_date_heure_pcf8593();
       date_presente = true;
}

VOID main()
   {
   date_presente = false;
   lcd_init () ;
   Init_pcf8593();
   output_high(PIN_A0);
   enable_interrupts(INT_EXT1);
   enable_interrupts(GLOBAL);
   WHILE (TRUE)
      {
      if (date_presente)
       {
        date_presente = false;
        printf("date %02u/%02u/%04Lu\r\n",jour,mois,annee);  // afficher la date.
        printf("time %02u:%02u:%02u\r\n",heure,minute,seconde);  // afficher la date.       
       }
      if (kbhit())   // on teste si une donnee est presente.
       lcd_putc(getc()); // on lit la donne et on l'affiche.
     }
   }


